# Enum Class WaylandTextInput.InputChangeCause

java.lang.Object
java.lang.Enum<WaylandTextInput.InputChangeCause>
org.stianloader.jxkbwayland.WaylandTextInput.InputChangeCause

All Implemented Interfaces:
  `Serializable, Comparable<WaylandTextInput.InputChangeCause>, Constable`

Enclosing interface:
  `WaylandTextInput`

public static enum WaylandTextInput.InputChangeCause extends Enum<WaylandTextInput.InputChangeCause>
An enumeration describing valid reasons for repeatedly calling `WaylandTextInput.enableTextInput(int, int, int, int, InputChangeCause)` or similar methods.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INPUT_METHOD`
The text input was changed due to an input method (usually because a character was typed on the keyboard).
`OTHER`
The text input was changed due to other reasons (i.e.

## Method Summary

Modifier and Type
Method
Description
`int`
`getZWPTextInputV3Ordinal()`
Obtain the ordinal of this enum's member as per the zwp_text_input_v3 protocol.
`static WaylandTextInput.InputChangeCause`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WaylandTextInput.InputChangeCause[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INPUT_METHOD

public static final WaylandTextInput.InputChangeCause INPUT_METHOD
The text input was changed due to an input method (usually because a character was typed on the keyboard).

This is the default value.

### OTHER

public static final WaylandTextInput.InputChangeCause OTHER
The text input was changed due to other reasons (i.e. unspecified except for the fact that it wasn't caused by `INPUT_METHOD`).

## Method Details

### values

public static WaylandTextInput.InputChangeCause[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static WaylandTextInput.InputChangeCause valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getZWPTextInputV3Ordinal

public int getZWPTextInputV3Ordinal()
Obtain the ordinal of this enum's member as per the zwp_text_input_v3 protocol.

Returns `-1` if not supported.

Returns:
  The `int` ordinal within the protocol.